Package oasis.names.tc.saml._2_0.protocol

# Class LogoutRequest

java.lang.Object
oasis.names.tc.saml._2_0.protocol.RequestAbstractType
oasis.names.tc.saml._2_0.protocol.LogoutRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class LogoutRequest extends RequestAbstractType implements Serializable

Java class for LogoutRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="LogoutRequestType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}RequestAbstractType">
           <sequence>
             <choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}BaseID"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}NameID"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedID"/>
             </choice>
             <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}SessionIndex" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="NotOnOrAfter" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogoutRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BaseID`
  `getBaseID()`
  Gets the value of the baseID property.
  `EncryptedElementType`
  `getEncryptedID()`
  Gets the value of the encryptedID property.
  `NameIDType`
  `getNameID()`
  Gets the value of the nameID property.
  `Instant`
  `getNotOnOrAfter()`
  Gets the value of the notOnOrAfter property.
  `String`
  `getReason()`
  Gets the value of the reason property.
  `List<String>`
  `getSessionIndices()`
  Gets the value of the sessionIndices property.
  `void`
  `setBaseID(BaseID value)`
  Sets the value of the baseID property.
  `void`
  `setEncryptedID(EncryptedElementType value)`
  Sets the value of the encryptedID property.
  `void`
  `setNameID(NameIDType value)`
  Sets the value of the nameID property.
  `void`
  `setNotOnOrAfter(Instant value)`
  Sets the value of the notOnOrAfter property.
  `void`
  `setReason(String value)`
  Sets the value of the reason property.

  ### Methods inherited from class oasis.names.tc.saml._2_0.protocol.RequestAbstractType

  `getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getSignature, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setSignature, setVersion`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LogoutRequest

    public LogoutRequest()

- ## Method Details

  - ### getEncryptedID

    public EncryptedElementType getEncryptedID()
    Gets the value of the encryptedID property.
    Returns:
      possible object is `EncryptedElementType`

  - ### setEncryptedID

    public void setEncryptedID(EncryptedElementType value)
    Sets the value of the encryptedID property.
    Parameters:
      `value` - allowed object is `EncryptedElementType`

  - ### getNameID

    public NameIDType getNameID()
    Gets the value of the nameID property.
    Returns:
      possible object is `NameIDType`

  - ### setNameID

    public void setNameID(NameIDType value)
    Sets the value of the nameID property.
    Parameters:
      `value` - allowed object is `NameIDType`

  - ### getBaseID

    public BaseID getBaseID()
    Gets the value of the baseID property.
    Returns:
      possible object is `BaseID`

  - ### setBaseID

    public void setBaseID(BaseID value)
    Sets the value of the baseID property.
    Parameters:
      `value` - allowed object is `BaseID`

  - ### getSessionIndices

    public List<String> getSessionIndices()
    Gets the value of the sessionIndices property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the sessionIndices property.

    For example, to add a new item, do as follows:

         getSessionIndices().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the sessionIndices property.

  - ### getReason

    public String getReason()
    Gets the value of the reason property.
    Returns:
      possible object is `String`

  - ### setReason

    public void setReason(String value)
    Sets the value of the reason property.
    Parameters:
      `value` - allowed object is `String`

  - ### getNotOnOrAfter

    public Instant getNotOnOrAfter()
    Gets the value of the notOnOrAfter property.
    Returns:
      possible object is `String`

  - ### setNotOnOrAfter

    public void setNotOnOrAfter(Instant value)
    Sets the value of the notOnOrAfter property.
    Parameters:
      `value` - allowed object is `String`